Subject: Re: linux-next: rr merge conflict

From: Rusty Russell <[email-masked]>
Date: Fri, 6 Jun 2008 10:02:27 +1000

On Thursday 05 June 2008 14:38:59 Stephen Rothwell wrote:
> Hi Rusty,
>
> Today's merge of the rr tree got a conflict in drivers/net/virtio_net.c
> between commits 11a3a1546d0adc36485c2ad4af7ab950712df6ff ("virtio: fix
> delayed xmit of packet and freeing of old packets.") and
> 7eb2e25112bf920bb0a4d1cca445f3d96874c25f ("virtio: fix virtio_net xmit of
> freed skb bug") from the net-current tree and commits
> c95d10b237db3449ccb7c8ba1675f0bd83722d19
> ("virtio:net-force-callback-on-empty"),
> 5a37649cd6d69a0ded7cf32c89107f542ea4c69b ("virtio:net-fix-last-xmit") and
> a13dd9f483bd628423b2351ca757f641370c1227
> ("virtio:net-fix-dangling-packets") from the rr tree. (I think :-))
>
> Some of these commits do basically the same things, but are also mixed up
> with other changes to this file in the rr tree.  I used the rr tree version
> but you should check that it makes sense.  This should go away once
> net-current gets merged into Linus' tree and you merge (or rebase) against
> that.

Ack.  Jeff has taken the patches I sent, but I have a few more which require 
minor virtio changes first.  So resorting to the -rr ones is the correct 
workaround for the moment.

Thanks,
Rusty.